
CREATE TABLE dict (
       url_id               NUMBER NOT NULL,
       word                 CHAR(12) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict ON dict
(
       word                           ASC
);

CREATE INDEX XIE2dict ON dict
(
       url_id                         ASC
);


CREATE TABLE dict1 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(1) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict1 ON dict1
(
       word                           ASC
);

CREATE INDEX XIE2dict1 ON dict1
(
       url_id                         ASC
);


CREATE TABLE dict10 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(10) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict10 ON dict10
(
       word                           ASC
);

CREATE INDEX XIE2dict10 ON dict10
(
       url_id                         ASC
);


CREATE TABLE dict11 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(11) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict11 ON dict11
(
       word                           ASC
);

CREATE INDEX XIE2dict11 ON dict11
(
       url_id                         ASC
);


CREATE TABLE dict12 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(12) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict12 ON dict12
(
       word                           ASC
);

CREATE INDEX XIE2dict12 ON dict12
(
       url_id                         ASC
);


CREATE TABLE dict16 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(16) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict16 ON dict16
(
       word                           ASC
);

CREATE INDEX XIE2dict16 ON dict16
(
       url_id                         ASC
);


CREATE TABLE dict2 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(2) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict2 ON dict2
(
       word                           ASC
);

CREATE INDEX XIE2dict2 ON dict2
(
       url_id                         ASC
);


CREATE TABLE dict3 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(3) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict3 ON dict3
(
       word                           ASC
);

CREATE INDEX XIE2dict3 ON dict3
(
       url_id                         ASC
);


CREATE TABLE dict32 (
       url_id               NUMBER NOT NULL,
       word                 VARCHAR2(32) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict32 ON dict32
(
       word                           ASC
);

CREATE INDEX XIE2dict32 ON dict32
(
       url_id                         ASC
);


CREATE TABLE dict4 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(4) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict4 ON dict4
(
       word                           ASC
);

CREATE INDEX XIE2dict4 ON dict4
(
       url_id                         ASC
);


CREATE TABLE dict5 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(5) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict5 ON dict5
(
       word                           ASC
);

CREATE INDEX XIE2dict5 ON dict5
(
       url_id                         ASC
);


CREATE TABLE dict6 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(6) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict6 ON dict6
(
       word                           ASC
);

CREATE INDEX XIE2dict6 ON dict6
(
       url_id                         ASC
);


CREATE TABLE dict7 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(7) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict7 ON dict7
(
       word                           ASC
);

CREATE INDEX XIE2dict7 ON dict7
(
       url_id                         ASC
);


CREATE TABLE dict8 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(8) NOT NULL,
       intag                NUMBER NULL
);

CREATE INDEX XIE1dict8 ON dict8
(
       word                           ASC
);

CREATE INDEX XIE2dict8 ON dict8
(
       url_id                         ASC
);


CREATE TABLE dict9 (
       url_id               NUMBER NOT NULL,
       word                 CHAR(9) NOT NULL,
       intag                NUMBER NOT NULL
);

CREATE INDEX XIE1dict9 ON dict9
(
       word                           ASC
);

CREATE INDEX XIE2dict9 ON dict9
(
       url_id                         ASC
);


CREATE TABLE robots (
       hostinfo             VARCHAR2(127) NOT NULL,
       path                 VARCHAR2(127) NOT NULL
);


CREATE TABLE stopword (
       word                 CHAR(64) NOT NULL
);


ALTER TABLE stopword
       ADD  ( PRIMARY KEY (word) ) ;


CREATE TABLE url (
       rec_id               NUMBER NOT NULL,
       status               NUMBER DEFAULT 0 NOT NULL,
       url                  VARCHAR2(128) NOT NULL,
       content_type         VARCHAR2(32) NULL,
       last_modified        VARCHAR2(32) NULL,
       title                VARCHAR2(128) NULL,
       txt                  VARCHAR2(255) NULL,
       docsize              NUMBER NULL,
       last_index_time      NUMBER NULL,
       next_index_time      NUMBER NULL,
       referrer             NUMBER DEFAULT 0 NOT NULL,
       tag                  NUMBER DEFAULT 0 NOT NULL,
       hops                 NUMBER DEFAULT 0 NOT NULL,
       keywords             VARCHAR2(255) NULL,
       description          VARCHAR2(100) NULL,
       crc                  VARCHAR2(33) NULL
);

CREATE UNIQUE INDEX XAK1url ON url
(
       url                            ASC
);

CREATE INDEX XIE1url ON url
(
       crc                            ASC
);

CREATE INDEX XIE2url ON url
(
       hops                           ASC
);


ALTER TABLE url
       ADD  ( PRIMARY KEY (rec_id) ) ;




CREATE SEQUENCE next_url_id
   INCREMENT BY 1
   START WITH 1;


